Skip to main content
GET
/
computes
/
{id}
Get a compute instance
curl --request GET \
  --url https://api.strettch.cloud/api/v1/computes/{id} \
  --header 'Authorization: Bearer <token>'
{
  "message": "Operation successful",
  "requestId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
  "success": true,
  "timestamp": "2024-01-15T10:00:00Z",
  "data": {
    "id": "325",
    "hostName": "my-server-01",
    "state": "RUNNING",
    "image": "UBUNTU-24.04",
    "specificationId": "1076fa22-b49b-4b8f-827e-20f84262916c",
    "region": "KGL-1",
    "ipv4": "195.15.0.73",
    "privateIpv4": "10.0.0.5",
    "tags": [
      "production",
      "web"
    ],
    "createdAt": "2024-01-15T10:00:00Z",
    "updatedAt": "2024-01-15T10:05:00Z"
  }
}

Response Error Codes

The following table lists the programmatic error codes that this endpoint may return in the code field of the error response.
CodeHTTP StatusDescription
UNAUTHORIZED401Authentication failed or was not provided.
RESOURCE_NOT_FOUND404The specified compute instance was not found.
TOO_MANY_REQUESTS429You have exceeded the rate limit.
INTERNAL_SERVER_ERROR500An unexpected error occurred on our end.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Compute ID

Response

OK

message
string
Example:

"Operation successful"

requestId
string
Example:

"f47ac10b-58cc-4372-a567-0e02b2c3d479"

success
boolean
Example:

true

timestamp
string
Example:

"2024-01-15T10:00:00Z"

data
object